(Solved) Flash Briefing Alexa isn't working anymore

Hi All,

I restarted my HA this morning. Didn’t. change things only a extra sensor to my config.
Now is flash_briefing of Alexa not working anymore I get a error:

2021-11-22 11:14:45 ERROR (MainThread) [aiohttp.server] Error handling request
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/template.py", line 398, in async_render
    render_result = _render_with_context(self.template, compiled, **kwargs)
  File "/usr/src/homeassistant/homeassistant/helpers/template.py", line 1698, in _render_with_context
    return template.render(**kwargs)
  File "/usr/local/lib/python3.9/site-packages/jinja2/environment.py", line 1304, in render
    self.environment.handle_exception()
  File "/usr/local/lib/python3.9/site-packages/jinja2/environment.py", line 925, in handle_exception
    raise rewrite_traceback_stack(source=source)
  File "<template>", line 1, in top-level template code
  File "<template>", line 1, in template
TypeError: 'NoneType' object is not iterable

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.9/site-packages/aiohttp/web_protocol.py", line 422, in _handle_request
    resp = await self._request_handler(request)
  File "/usr/local/lib/python3.9/site-packages/aiohttp/web_app.py", line 499, in _handle
    resp = await handler(request)
  File "/usr/local/lib/python3.9/site-packages/aiohttp/web_middlewares.py", line 119, in impl
    return await handler(request)
  File "/usr/src/homeassistant/homeassistant/components/http/security_filter.py", line 60, in security_filter_middleware
    return await handler(request)
  File "/usr/src/homeassistant/homeassistant/components/http/forwarded.py", line 220, in forwarded_middleware
    return await handler(request)
  File "/usr/src/homeassistant/homeassistant/components/http/request_context.py", line 24, in request_context_middleware
    return await handler(request)
  File "/usr/src/homeassistant/homeassistant/components/http/ban.py", line 78, in ban_middleware
    return await handler(request)
  File "/usr/src/homeassistant/homeassistant/components/http/auth.py", line 138, in auth_middleware
    return await handler(request)
  File "/usr/src/homeassistant/homeassistant/components/http/view.py", line 132, in handle
    result = handler(request, **request.match_info)
  File "/usr/src/homeassistant/homeassistant/components/alexa/flash_briefings.py", line 91, in get
    output[ATTR_MAIN_TEXT] = item[CONF_TEXT].async_render(
  File "/usr/src/homeassistant/homeassistant/helpers/template.py", line 400, in async_render
    raise TemplateError(err) from err
homeassistant.exceptions.TemplateError: TypeError: 'NoneType' object is not iterable

This error popped up when I ask for my flash briefing. But also when I hit the link:

https://mydomain.nl/api/alexa/flash_briefings/ha_briefing?password=MYPASSWORD

in a browser I get the same error. I see following message:

500 Internal Server Error

Server got itself in trouble

Tried it without password and with wrong password then I get this:

2021-11-23 08:32:10 ERROR (MainThread) [homeassistant.components.alexa.flash_briefings] Wrong password for Alexa flash briefing: ha_briefing
2021-11-23 08:32:22 ERROR (MainThread) [homeassistant.components.alexa.flash_briefings] No password provided for Alexa flash briefing: ha_briefing

I really don’t know why it isn’t working anymore

Problem solved.

There ware some sensors in the text and they not there anymore. Removed the sensors incl the text. Reboot HA and now its working again.

If you have this problem also, check your entities if there exist in HA. :slight_smile: